commit:     b4fb84082fed670697efdb2c245d3671c2799b2d
Author:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 13 12:30:07 2018 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Jul 15 19:01:00 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4fb8408

games-strategy/uqm: version bump to 0.7.0.1

Also bump to EAPI 7.

Thanks to: Joshua Clayton <stillcompiling <AT> gmail.com>

Closes: https://bugs.gentoo.org/638086
Package-Manager: Portage-2.3.42, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/9215

 games-strategy/uqm/Manifest           |   1 +
 games-strategy/uqm/uqm-0.7.0.1.ebuild | 119 ++++++++++++++++++++++++++++++++++
 2 files changed, 120 insertions(+)

diff --git a/games-strategy/uqm/Manifest b/games-strategy/uqm/Manifest
index bb6549fff5d..403a17b29b4 100644
--- a/games-strategy/uqm/Manifest
+++ b/games-strategy/uqm/Manifest
@@ -1,3 +1,4 @@
+DIST uqm-0.7.0-1-source.tgz 1591613 BLAKE2B 
400309aced671a23bf325b95bb471db2e5b9aa59a0c868bc1cf971e71ad22a7a555c68fc15be1c574e4b4a8f58b0c18c4a5f85c188b494e20b36bd09ba6de02b
 SHA512 
77255e7e4cc195d4db7f02bb95e76d41c0d72cb179b30a8cd944c4c78560485d76ad89b0bbd03102e5718d66f3b16050ef73a30b6bc8d31e1c0bfa46758badaa
 DIST uqm-0.7.0-3domusic.uqm 18980671 BLAKE2B 
e86828b8a4a2ae7aee7469a9792c3ba7f472208fe33de46f2797024331a290c1092fcae4a1d599fa002d9cd9ef0248df6cb6cda673d3c0ef90c55ae4a38afd56
 SHA512 
e7d723194685388813d72e1add9a710ecd3de9b33381dfe66acee6c31a31634ee9031ecc83c2003a5222b9381efe150a2f2a9289f8505d842182ca03b012183b
 DIST uqm-0.7.0-content.uqm 11538533 BLAKE2B 
8b654f47d8d2e66dac197b10b96fdfc62907cafc6b5b9046a84588d539349263012c5cb235a428e2cb9a8840b1ff7565035f810a8445892b3c272bb629769348
 SHA512 
c80aa9f1158d07534abc1ef625662dfcd5021cb5e8091d46b3e9a2d96a0fffbe7e9e6cc88680b43d810c8e68a580f7a0d4b62c08e9f7b948ae7f017e4ad20dd2
 DIST uqm-0.7.0-source.tgz 1562003 BLAKE2B 
682f87b4967b1aef298dd576dd37cef838f2eaf42f2212fc3af70bf7319e5284cc9bff616d8db3a36a7f2760d2f47f714bcaa2f4f3d35993892a78cdadc85e54
 SHA512 
443ac13da401d45743f913755647b3309834c57f371fb673c3ea2cacb81184bf30430db10af9001de854363520d1f792f47faffd690c8c2b2f3d12d63b217815

diff --git a/games-strategy/uqm/uqm-0.7.0.1.ebuild 
b/games-strategy/uqm/uqm-0.7.0.1.ebuild
new file mode 100644
index 00000000000..562c43b26a8
--- /dev/null
+++ b/games-strategy/uqm/uqm-0.7.0.1.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit desktop toolchain-funcs
+
+MY_PV=$(ver_rs 3 '-')
+MY_P="${PN}-${MY_PV}"
+BASE_PV=$(ver_cut 1-3)
+BASE_P="${PN}-${BASE_PV}"
+
+DESCRIPTION="The Ur-Quan Masters: Port of Star Control 2"
+HOMEPAGE="http://sc2.sourceforge.net/";
+SRC_URI="mirror://sourceforge/sc2/${MY_P}-source.tgz
+       mirror://sourceforge/sc2/${BASE_P}-content.uqm
+       music? ( mirror://sourceforge/sc2/${BASE_P}-3domusic.uqm )
+       voice? ( mirror://sourceforge/sc2/${BASE_P}-voice.uqm )
+       remix? ( mirror://sourceforge/sc2/${PN}-remix-disc1.uqm \
+               mirror://sourceforge/sc2/${PN}-remix-disc2.uqm \
+               mirror://sourceforge/sc2/${PN}-remix-disc3.uqm \
+               mirror://sourceforge/sc2/${PN}-remix-disc4.uqm )"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="music opengl remix voice"
+
+RDEPEND="
+       media-libs/libmikmod
+       media-libs/libogg
+       >=media-libs/libpng-1.4:0=
+       media-libs/libsdl[X,sound,joystick,video]
+       media-libs/libvorbis
+       media-libs/sdl-image[png]
+       sys-libs/zlib
+       opengl? ( virtual/opengl )
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+       "${FILESDIR}/${BASE_P}-tempdir.patch"
+       "${FILESDIR}/${BASE_P}-warning.patch"
+)
+
+src_prepare() {
+       default
+
+       local myopengl=$(usex opengl 'opengl' 'pure')
+
+       cat <<-EOF > config.state
+       CHOICE_debug_VALUE='nodebug'
+       CHOICE_graphics_VALUE='${myopengl}'
+       CHOICE_sound_VALUE='mixsdl'
+       CHOICE_accel_VALUE='plainc'
+       INPUT_install_prefix_VALUE='/usr/share'
+       INPUT_install_bindir_VALUE='\$prefix/bin'
+       INPUT_install_libdir_VALUE='\$prefix/lib'
+       INPUT_install_sharedir_VALUE='/usr/share/'
+       EOF
+
+       # Take out the read so we can be non-interactive.
+       sed -i \
+               -e '/read CHOICE/d' build/unix/menu_functions || die
+
+       # respect CFLAGS
+       sed -i \
+               -e "s/-O3//" build/unix/build.config || die
+
+       sed -i \
+               -e "s:@INSTALL_LIBDIR@:/usr/$(get_libdir)/:g" \
+               build/unix/uqm-wrapper.in || die
+
+       # respect CC
+       sed -i \
+               -e "s/PROG_gcc_FILE=\"gcc\"/PROG_gcc_FILE=\"$(tc-getCC)\"/" \
+               build/unix/config_proginfo_build || die
+}
+
+src_compile() {
+       MAKE_VERBOSE=1 ./build.sh uqm || die
+}
+
+src_install() {
+       # Using the included install scripts seems quite painful.
+       # This manual install is totally fragile but maybe they'll
+       # use a sane build system for the next release.
+       newbin uqm-wrapper uqm
+       exeinto /usr/"$(get_libdir)"/${PN}
+       doexe uqm
+
+       insinto /usr/share/${PN}/content/packages
+       doins "${DISTDIR}"/${BASE_P}-content.uqm
+       echo ${BASE_P} > "${ED}"/usr/share/${PN}/content/version || die
+
+       insinto /usr/share/${PN}/content/addons
+       if use music; then
+               doins "${DISTDIR}"/${BASE_P}-3domusic.uqm
+       fi
+
+       if use voice; then
+               doins "${DISTDIR}"/${BASE_P}-voice.uqm
+       fi
+
+       if use remix; then
+               insinto /usr/share/${PN}/content/addons
+               doins "${DISTDIR}"/${PN}-remix-disc{1,2,3,4}.uqm
+       fi
+
+       dodoc AUTHORS ChangeLog Contributing README WhatsNew 
doc/users/manual.txt
+       docinto devel
+       dodoc doc/devel/[!n]*
+       docinto devel/netplay
+       dodoc doc/devel/netplay/*
+       make_desktop_entry uqm "The Ur-Quan Masters"
+}

Reply via email to